Get a custom FHIR profile

GET/fhir/profiles/{id}

Returns a single custom profile by id, including its full StructureDefinition JSON.

RequiresBearerauthentication

Path parameters

idstringrequired

The lowercase StructureDefinition id of the custom profile.

Returns  

The requested profile

Response fields

idstringoptional
sourcestringoptional
resource_typestringoptional
urlstringoptional
versionstringoptional
fhir_versionstringoptional
implementation_guidestringoptional
created_atstringoptional
updated_atstringoptional
structure_definitionobjectoptional
GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/fhir/profiles/custom-patient" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "id": "custom-patient",
  "source": "custom",
  "resource_type": "Patient",
  "url": "http://phenoml.com/fhir/StructureDefinition/custom-patient",
  "version": "1.0.0",
  "fhir_version": "4.0.1",
  "implementation_guide": "acme-cardiology",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "structure_definition": {}
}